- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\FrameRateFilter

class FrameRateFilter implements VideoFilterInterface

## Methods

| __construct(FrameRate $rate, $gop, $priority) |
integer | getPriority() Returns the priority of the filter. |
FrameRate | getFrameRate() Returns the frame rate. |
Integer | getGOP() Returns the GOP size. |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 24
`public __construct(FrameRate $rate, $gop, $priority)`

#### Parameters

FrameRate | $rate |
| $gop |
| $priority |

###
at line 34
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 44
`public FrameRate getFrameRate()`

Returns the frame rate.

#### Return Value

FrameRate |

###
at line 56
`public Integer getGOP()`

Returns the GOP size.

#### Return Value

Integer |

#### See also

https://wikipedia.org/wiki/Group_of_pictures |

###
at line 64
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments